Skip to main content
GET
/
api
/
v2
/
user-attributes
/
{projectKey}
/
{environmentKey}
Get user attribute names
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/user-attributes/{projectKey}/{environmentKey} \
  --header 'Authorization: <api-key>'
{
  "private": [
    "SSN",
    "credit_card_number"
  ],
  "custom": [
    "Age",
    "FavoriteFood",
    "FavoriteColor"
  ],
  "standard": [
    "key",
    "ip",
    "firstName",
    "lastName",
    "country",
    "anonymous"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

Response

User attribute names response

private
string[]

private attributes

Example:
["SSN", "credit_card_number"]
custom
string[]

custom attributes

Example:
["Age", "FavoriteFood", "FavoriteColor"]
standard
string[]

standard attributes

Example:
[
"key",
"ip",
"firstName",
"lastName",
"country",
"anonymous"
]